#include <stdio.h>
using namespace std;
int a[2000001]={0};
int main(int argc, const char * argv[]) {
    
    int n,k,b,br=0;
    scanf("%d%d",&n,&k);
    for(int i=0;i<n;i++)
    {
        scanf("%d",&b);
        a[b+n]++;
    }
    for(int i=0;i<=2*n;i++)
    {
        if(a[i]>=k)
            br++;
    }
    printf("%d\n",br);
    for(int i=0;i<=2*n;i++)
    {
        if(a[i]>=k)
            printf("%d ",i-n);
    }
    return 0;
}